## This 'cumulus4j-test-log4j.properties' file should *NOT* be modified to fit
## developer-specific needs!
##
## You can instead place a file named 'cumulus4j-test-log4j.properties' into your home
## directory and put those properties into it that you wish to override.
##
## The file located in your home directory will be merged into the configuration and override
## all settings made in this file here.
##
## To remove a property, set it to the special value "_NULL_" (simply leaving it empty will
## override the property's value with an empty string instead of removing it from the map).
##
## See: org.cumulus4j.test.framework.TestUtil#loadProperties(...)
##
##
## This global 'cumulus4j-test-log4j.properties' file declares 3 appenders:
##
##   * AC: ConsoleAppender
##   * AF: FileAppender
##   * AR: RollingFileAppender
##
## By default, INFO logging to AC is enabled.
##
## Marco :-)


# Set root logger level to TRACE and its two appenders to AC and AF.
# Note: Since the console appender has a threshold, it does still not log TRACE (see below).
#log4j.rootLogger=TRACE, AC, AF

# Set root logger level to TRACE and its single appender to AC.
log4j.rootLogger=TRACE, AC


##### AC - BEGIN #####
# AC is set to be a ConsoleAppender.
log4j.appender.AC=org.apache.log4j.ConsoleAppender
#log4j.appender.AC.threshold=INFO

# AC uses PatternLayout.
log4j.appender.AC.layout=org.apache.log4j.PatternLayout
# log4j.appender.AC.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n
log4j.appender.AC.layout.ConversionPattern=%d{ABSOLUTE} %-5p [%t][%c{1}] %m%n
##### AC - END #####


##### AF - BEGIN #####
log4j.appender.AF=org.apache.log4j.FileAppender
log4j.appender.AF.File=test.log
log4j.appender.AF.layout=org.apache.log4j.PatternLayout
log4j.appender.AF.layout.ConversionPattern=%d{ABSOLUTE} %-5p [%t][%c{1}] %m%n

# Overwrite the file instead of appending to it (prevent it from growing extensively).
log4j.appender.AF.append=false
##### AF - END #####


##### AR - BEGIN #####
log4j.appender.AR=org.apache.log4j.RollingFileAppender
log4j.appender.AR.File=test-rolling.log

# Control the maximum log file size
log4j.appender.AR.MaxFileSize=5MB
# Archive log files (one backup file here)
log4j.appender.AR.MaxBackupIndex=100
log4j.appender.AR.layout=org.apache.log4j.PatternLayout
log4j.appender.AR.layout.ConversionPattern=%d{ABSOLUTE} %-5p [%t][%c{1}] %m%n
# log4j.appender.AR.layout.ConversionPattern=%p %t %c - %m%n

# Overwrite the file instead of appending to it (prevent it from growing extensively).
log4j.appender.AR.append=false
##### AR - END #####


# DataNucleus categories: http://www.datanucleus.org/products/accessplatform_3_0/logging.html
#log4j.category.DataNucleus.Datastore.Persist=DEBUG
#log4j.category.DataNucleus.Datastore.Native=DEBUG
#log4j.category.DataNucleus.Datastore = DEBUG, AC
#log4j.additivity.DataNucleus.Datastore = false
